Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface Entropy

All Known Implementing Classes:
  EntropyImpl

public interface Entropy
extends MessageProbe, MessageProbeS

Computes entropy via a MessageProbe.. Entropy objects read probabilities (via a MessageProbe) from a collection of objects and calculate the entropy of the underlying distribution.

Method Summary
`double` | `getEntropy()` The getEntropy method returns the calculated Entropy.
`void` | `update()` The update method polls the collection and updates the entropy.

Methods inherited from interface swarm.objectbase.MessageProbe
`doubleDynamicCallOn, getArgCount, getArgName, getHideResult, getProbedMessage, isArgumentId, isResultId, longDynamicCallOn, objectDynamicCallOn, setArg$ToString, setArg$ToUnsigned, stringDynamicCallOn`

Methods inherited from interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods inherited from interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### update

    public void update()

  The update method polls the collection and updates the entropy. This method should be scheduled prior to collecting the data using getEntropy.

### getEntropy

    public double getEntropy()

  The getEntropy method returns the calculated Entropy. The entropy value is read out of the object, not computed everytime it is requested.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD